## reform-tools 1.82

=== Makefile ===
#!/usr/bin/make -f
# SPDX-License-Identifier: GPL-3.0+
# Copyright 2024-2025 Johannes Schauer Marin Rodrigues <josch@mister-muffin.de>

SHELL = /bin/sh
INSTALL = /usr/bin/install
INSTALLDATA = /usr/bin/install -m 644

prefix = /usr
datadir = $(prefix)/share
bindir = $(prefix)/bin
libexecdir = $(prefix)/libexec
libdir = $(prefix)/lib
libdirarch = $(prefix)/lib/$(shell $(CC) --print-multiarch)
statedir = /var
sysconfdir = /etc

BINPROGS=$(wildcard bin/*)
MAN1=$(patsubst bin/%,man/%.1,$(BINPROGS))



.PHONY: all
all: $(MAN1) plymouth/background.png plymouth/monobar.so

man/%.1: bin/%
	set -e;                                                               \
	mkdir -p man;                                                         \
	tool2whatis () { case $${1#reform-} in                                \
		boot-config)    echo "choose rootfs to boot from" ;;          \
		chat)           echo "chat on #mnt-reform" ;;                 \
		check)          echo "check your setup" ;;                    \
		compstat)       echo "system statistics for waybar" ;;        \
		config)         echo "select keyboard and timezone" ;;        \
		display-config) echo "select single/dual display" ;;          \
		emmc-bootstrap) echo "set up /boot on emmc for / on nvme" ;;  \
		flash-rescue)   echo "flash rescue image to eMMC" ;;          \
		flash-uboot)    echo "download and flash u-boot" ;;           \
		gnome-config)   echo "apply default config to GNOME" ;;       \
		handbook)       echo "show Reform Handbook" ;;                \
		pocket-reform-handbook) echo "show Pocket Reform Handbook" ;; \
		help)           echo "help with MNT Reform" ;;                \
		hw-setup)       echo "perform hardware tweaks" ;;             \
		migrate)        echo "copy rootfs to device" ;;               \
		mcu-tool)       echo "manage microcontrollers" ;;             \
		pavucontrol)    echo "kill and restart pavucontrol" ;;        \
		setup-encrypted-disk) echo "setup encrypted disk" ;;          \
		setup-encrypted-nvme) echo "use setup-encrypted-disk" ;;      \
		standby)        echo "suspend/wakeup tweaks" ;;               \
		waybar-icon-wedge) echo "launch waybar with custom icon theme" ;; \
		*) echo "unknown tool: $$1" 2>&1; exit 1 ;;                   \
	esac; };                                                              \
	whatis="$$(tool2whatis "$*")";                                        \
	version=$$(head -c4 CHANGELOG.md);                                    \
	case $$version in 1.[0-9][0-9]) : ;; *) echo invalid;exit 1;; esac;   \
	env "PATH=./bin:$$PATH" help2man                                      \
		--section=1                                                   \
		--name="$$whatis"                                             \
		--no-info --version-string="$$version"                        \
		--no-discard-stderr "$*"                                      \
		--output="$@";                                                \

plymouth/monobar.so: plymouth/monobar.c
	$(CC) $< -o $@ $(CPPFLAGS) $(CFLAGS) $(shell pkgconf --cflags --libs ply-splash-core) -Wall -fPIC -pedantic -Wextra -std=c23 -shared $(LDFLAGS)

plymouth/background.png: ./share/backgrounds/mnt-reform-next-y2k.jpg
	convert $< -resize 1920x1080 $@

.PHONY: install
install: $(MAN1) plymouth/background.png plymouth/monobar.so
	$(INSTALL)     -d $(DESTDIR)$(libdir)/NetworkManager/conf.d
	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/NetworkManager/conf.d NetworkManager/default-wifi-powersave-off.conf
	$(INSTALL)     -d $(DESTDIR)$(libdir)/udev/rules.d
	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/udev/rules.d audio/99-reform-audio.rules
	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/udev/rules.d udev/reform-ttymxc-wakeup.rules
	$(INSTALL)     -d $(DESTDIR)$(datadir)/pulseaudio/alsa-mixer/paths
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/pulseaudio/alsa-mixer/paths audio/analog-input-reform.conf
	$(INSTALL)     -d $(DESTDIR)$(statedir)/lib/alsa
	$(INSTALLDATA) -t $(DESTDIR)$(statedir)/lib/alsa audio/asound.state
	$(INSTALL)     -d $(DESTDIR)$(datadir)/pulseaudio/alsa-mixer/profile-sets
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/pulseaudio/alsa-mixer/profile-sets audio/reform.conf
	$(INSTALL)     -d $(DESTDIR)$(bindir)
	$(INSTALL)     -t $(DESTDIR)$(bindir) $(BINPROGS)
	$(INSTALL)     -d $(DESTDIR)$(datadir)/flash-kernel/preboot.d
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/flash-kernel/preboot.d flash-kernel/preboot.d/00reform2_preboot
	$(INSTALL)     -d $(DESTDIR)$(datadir)/flash-kernel/ubootenv.d
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/flash-kernel/ubootenv.d flash-kernel/ubootenv.d/00reform2_ubootenv
	$(INSTALL)     -d $(DESTDIR)$(datadir)/initramfs-tools/hooks
	$(INSTALL)     -t $(DESTDIR)$(datadir)/initramfs-tools/hooks initramfs-tools/hooks/reform
	$(INSTALL)     -t $(DESTDIR)$(datadir)/initramfs-tools/hooks initramfs-tools/hooks/reform-plymouth
	$(INSTALL)     -d $(DESTDIR)$(datadir)/initramfs-tools/modules.d
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/initramfs-tools/modules.d initramfs-tools/reform.conf
	$(INSTALL)     -d $(DESTDIR)$(datadir)/initramfs-tools/scripts/init-top
	$(INSTALL)     -t $(DESTDIR)$(datadir)/initramfs-tools/scripts/init-top initramfs-tools/scripts/reform
	$(INSTALL)     -d $(DESTDIR)$(datadir)/kernel/postinst.d
	$(INSTALL)     -t $(DESTDIR)$(datadir)/kernel/postinst.d kernel/zz-reform-tools
	$(INSTALL)     -d $(DESTDIR)$(libexecdir)/reform-tools
	$(INSTALL)     -t $(DESTDIR)$(libexecdir)/reform-tools libexec/reform-tools/reform-tray.py
	$(INSTALL)     -t $(DESTDIR)$(libexecdir)/reform-tools libexec/reform-tools/reform-wallpaper.py
	$(INSTALL)     -t $(DESTDIR)$(libexecdir)/reform-tools libexec/reform-tools/reform-power-daemon
	$(INSTALL)     -d $(DESTDIR)$(datadir)/reform-tools/machines
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/reform-tools/machines machines/*
	$(INSTALL)     -d $(DESTDIR)$(libdir)/modprobe.d
	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/modprobe.d modprobe.d/reform.conf
	$(INSTALL)     -d $(DESTDIR)$(datadir)/glib-2.0/schemas
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/glib-2.0/schemas schemas/20_reform.gschema.override
	$(INSTALL)     -d $(DESTDIR)$(datadir)/gdm/dconf
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/gdm/dconf share/gdm/dconf/95-mnt-reform-settings
	$(INSTALL)     -d $(DESTDIR)$(datadir)/backgrounds
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/backgrounds share/backgrounds/reform-mountains.jpg
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/backgrounds share/backgrounds/mnt-reform-next-y2k.jpg
	$(INSTALL)     -d $(DESTDIR)$(libdir)/systemd/sleep.conf.d
	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/sleep.conf.d systemd/reform-sleep.conf
	$(INSTALL)     -d $(DESTDIR)$(libdir)/systemd/system
	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/system systemd/reform-hw-setup.service systemd/reform-sleep.service systemd/reform-power-daemon.service
	$(INSTALL)     -d $(DESTDIR)$(datadir)/u-boot-menu/conf.d
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/u-boot-menu/conf.d u-boot-menu/reform.conf
	$(INSTALL)     -d $(DESTDIR)$(libdir)/dracut/dracut.conf.d
	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/dracut/dracut.conf.d dracut/20-pocket-reform.conf
	$(INSTALL)     -d $(DESTDIR)$(libdir)/sddm/sddm.conf.d
	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/sddm/sddm.conf.d sddm/10-wayland.conf
	$(INSTALL)     -d $(DESTDIR)$(datadir)/man/man1
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/man/man1 $(MAN1)
	$(INSTALL)     -d $(DESTDIR)$(datadir)/alsa/ucm2/conf.d/rk3588-tlv320ai/
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/alsa/ucm2/conf.d/rk3588-tlv320ai/ audio/ucm2.conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100.conf
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/alsa/ucm2/conf.d/rk3588-tlv320ai/ audio/ucm2.conf.d/rk3588-tlv320ai/HiFi.conf
	$(INSTALL)     -d $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k
	set -e; for f in bullet capslock entry keyboard keymap-render lock; do \
		ln --force --symbolic --no-target-directory ../spinner/$${f}.png $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/$${f}.png; \
	done
		#$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/ "plymouth/$${f}.png";
	set -e; for i in $$(seq 1 36); do \
		filename=$$(printf "animation-%04d.png" "$$i"); \
		ln --force --symbolic --no-target-directory ../spinner/$$filename $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/$$filename; \
	done
		#$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/ "plymouth/$$filename";
	set -e; for i in $$(seq 1 30); do \
		filename=$$(printf "throbber-%04d.png" "$$i"); \
		ln --force --symbolic --no-target-directory ../spinner/$$filename $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/$$filename; \
	done
		#$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/ "plymouth/$$filename";
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k plymouth/background.png
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k plymouth/reform-y2k.plymouth
	$(INSTALL)     -d $(DESTDIR)$(datadir)/wireplumber/wireplumber.conf.d
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/wireplumber/wireplumber.conf.d audio/reform-hdmi-audio-priority.conf
	$(INSTALL)     -d $(DESTDIR)$(sysconfdir)/profile.d
	$(INSTALLDATA) -t $(DESTDIR)$(sysconfdir)/profile.d etc/profile.d/reform-kwin.sh
	$(INSTALL)     -d $(DESTDIR)$(datadir)/doc/reform-tools/examples
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/doc/reform-tools/examples examples/keyboard_rainbow.py
	$(INSTALL)     -d $(DESTDIR)$(datadir)/xdg-terminal-exec
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/xdg-terminal-exec share/xdg-terminal-exec/sway-xdg-terminals.list
	$(INSTALL)     -d $(DESTDIR)$(libdirarch)/plymouth
	$(INSTALLDATA) -t $(DESTDIR)$(libdirarch)/plymouth plymouth/monobar.so
	$(INSTALL)     -d $(DESTDIR)$(datadir)/plymouth/themes/monobar/
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/monobar/ plymouth/monobar.plymouth

.PHONY: clean
clean:
	rm -f man/*.1 plymouth/background.png

.PHONY: lint
lint:
	clang-format lpc/reform2_lpc.c | diff -u lpc/reform2_lpc.c -
	shfmt --posix --simplify --binary-next-line --case-indent --indent 2 --diff \
		bin kernel/* initramfs-tools/*/* flash-kernel/*/*
	black --check --diff bin/reform-compstat libexec/reform-tools/reform-tray.py libexec/reform-tools/reform-wallpaper.py examples/keyboard_rainbow.py
	black --line-length 120 --check --diff bin/reform-mcu-tool
	shellcheck bin/* kernel/* initramfs-tools/*/* flash-kernel/*/*

test:
	# check the validity of gschema overrides
	# Create a dummy placeholder file to convince glib-compile-schemas to
	# not skip processing this directory
	echo '<schemalist></schemalist>' > schemas/dummy.gschema.xml
	glib-compile-schemas --dry-run --strict schemas
	rm schemas/dummy.gschema.xml

=== debian/changelog ===
reform-tools (1.82-1) unstable; urgency=medium

  * New upstream version 1.82
  * add plymouth-theme-reform package
  * debian/reform-tools.install: do not install everything in /usr/share
  * debian/control: install missing deps of libplymouth-dev
  * debian/rules: DEB_BUILD_MAINT_OPTIONS = hardening=+all

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 18 Nov 2025 18:45:06 +0100

=== debian/control ===
Source: reform-tools
Section: admin
Priority: optional
Maintainer: Debian Reform Team <team+reform@tracker.debian.org>
Uploaders:
 Johannes Schauer Marin Rodrigues <josch@debian.org>,
Homepage: https://source.mnt.re/reform/reform-tools/
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-dkms,
 help2man,
 imagemagick,
 libevdev-dev,
 libglib2.0-bin <!nocheck>,
 libplymouth-dev,
 libudev-dev,
 libxkbcommon-dev,
 pkgconf,
 python3-psutil,
 python3-usb1,
Vcs-Git: https://salsa.debian.org/reform-team/reform-tools.git
Vcs-Browser: https://salsa.debian.org/reform-team/reform-tools
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-dkms

Package: reform-tools
Architecture: all
Depends:
 alsa-utils,
 console-setup,
 debconf,
 debianutils (>= 5.21),
 gpiod,
 jq,
 keyboard-configuration,
 libglib2.0-bin,
 mount,
 parted,
 procps,
 reform2-lpc-dkms,
 rsync,
 systemd,
 tzdata,
 ${misc:Depends},
Recommends:
 bmaptool,
 brightnessctl,
 debian-keyring,
 fonts-font-awesome,
 fonts-jetbrains-mono,
 gir1.2-ayatanaappindicator3-0.1,
 gir1.2-gdesktopenums-3.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-gtklayershell-0.1,
 gir1.2-notify-0.7,
 gnome-system-monitor,
 ircii,
 pavucontrol,
 pulseaudio-utils,
 python3,
 python3-gi,
 python3-usb1,
 thunar,
Suggests:
 reform-branding,
Protected: yes
Description: MNT System Tools for MNT Reform and MNT Pocket Reform
 Utilities, scripts and configurations for the MNT Reform and MNT Pocket Reform
 open hardware laptops with either i.MX8MQ, i.MX8MPlus, Banana PI CM4, LS1028A
 or RK3588.
 .
 Contains system utilities to manage your installation as well as configuration
 files for initramfs, flash-kernel, pulseaudio, alsa, u-boot-menu, udev and
 NetworkManager.

Package: plymouth-theme-reform
Architecture: any
Section: misc
Depends:
 plymouth,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 plymouth-theme,
Description: boot animation, logger and I/O multiplexer - MNT Reform themes
 This package includes the Plymouth system boot splash themes Monobar and Y2K
 for the MNT Reform, MNT Pocket Reform and MNT Reform Next.

# FIXME: the plymouth plugin contains symlinks which rely on this change
# in src:plymouth: https://bugs.debian.org/1112280
Package: reform-desktop-full
Architecture: all
Section: metapackages
Depends:
 adwaita-icon-theme,
 alsa-ucm-conf,
 blueman,
 bmaptool,
 brightnessctl,
 dunst,
 engrampa,
 espeak-ng,
 espeak-ng-data,
 evince,
 firefox-esr,
 flatpak,
 fonts-font-awesome,
 fonts-inter,
 fonts-jetbrains-mono,
 fonts-noto-color-emoji,
 fwupd,
 gedit,
 gir1.2-ayatanaappindicator3-0.1,
 gir1.2-gdesktopenums-3.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-gtklayershell-0.1,
 gir1.2-notify-0.7,
 gnome,
 gnome-disk-utility,
 gnome-firmware,
 gnome-settings-daemon,
 gnome-shell-extension-dashtodock,
 gnome-shell-extension-manager,
 gnome-software-plugin-flatpak,
 gnome-system-monitor,
 grim,
 gsettings-desktop-schemas,
 gvfs-backends,
 ircii,
 kde-style-breeze,
 libglib2.0-bin,
 lxpolkit,
 mesa-utils,
 mesa-vulkan-drivers,
 minetest,
 modemmanager,
 mpv,
 network-manager-gnome,
 neverball,
 papirus-icon-theme,
 pasystray,
 pavucontrol,
 ptyxis,
 pulseaudio-utils,
 python3,
 python3-gi,
 python3-usb1,
 qt5ct,
 reform-desktop-minimal,
 rtkit,
 slurp,
 speech-dispatcher-espeak-ng,
 sway,
 swayidle,
 swaylock,
 sxiv,
 thunar,
 tio,
 unicode-data,
 vulkan-tools,
 waybar,
 wayland-protocols,
 wayvnc,
 wev,
 wf-recorder,
 wireplumber,
 wlr-randr,
 wofi,
 xwayland,
 ${misc:Depends},
Description: MNT Reform Desktop Environment -- graphical desktop
 The MNT Reform suite of open hardware computers comes with a default
 Debian installation. This metapackage includes all packages required for
 a full graphical desktop.

Package: reform-desktop-minimal
Architecture: all
Section: metapackages
Depends:
 alsa-utils,
 apt,
 apt-file,
 apt-listbugs,
 apt-utils,
 bash-completion,
 brightness-udev,
 brightnessctl,
 bsdextrautils,
 busybox,
 ca-certificates,
 console-setup,
 console-setup-linux,
 cpio,
 cron,
 cryptsetup,
 cryptsetup-initramfs,
 curl,
 dbus-bin,
 debian-archive-keyring,
 debian-keyring,
 dhcpcd-base,
 dialog,
 dosfstools,
 e2fsprogs,
 elinks,
 fbset,
 fdisk,
 file,
 gnupg,
 gpiod,
 gpm,
 hdparm,
 htop,
 iproute2,
 iptables,
 iputils-ping,
 iw,
 kbd,
 less,
 linux-sysctl-defaults,
 lm-sensors,
 locales,
 lshw,
 lvm2,
 man-db,
 micro,
 nano,
 ncdu,
 ncurses-term,
 net-tools,
 netbase,
 netcat-openbsd,
 network-manager,
 nfacct,
 ntpsec,
 ntpsec-ntpdate,
 nvme-cli,
 openssh-client,
 parted,
 pciutils,
 picotool,
 pocket-reform-handbook,
 procps,
 python3-psutil,
 readline-common,
 reform-handbook,
 reform-tools,
 rfkill,
 rsync,
 sudo,
 systemd,
 systemd-sysv,
 telnet,
 tmux,
 traceroute,
 u-boot-tools,
 unzip,
 usbutils,
 vim,
 w3m,
 wavemon,
 wget,
 wireless-regdb,
 wpasupplicant,
 xdg-utils,
 zstd,
 ${misc:Depends},
Recommends:
 ezurio-qcacld-2.0-dkms,
 flash-kernel,
Suggests:
 firmware-atheros,
 firmware-iwlwifi,
 firmware-mediatek,
 firmware-misc-nonfree,
 firmware-realtek,
 reform-branding,
Description: MNT Reform Desktop Environment -- essential components
 The MNT Reform suite of open hardware computers comes with a default
 Debian installation. This metapackage includes all packages required for
 a minimal non-graphical terminal based installation.

Package: reform2-lpc-dkms
Architecture: all
Section: kernel
Depends:
 ${misc:Depends},
Description: dkms driver sources for Reform 2 LPC11U24
 The reform2_lpc kernel module allows for interaction with the NXP LPC11U24
 Cortex-M0 MCU system controller in the Reform 2 open hardware laptop. It
 controls an analog monitor chip for the eight battery cells as well as the
 charger. It is connected to the Processor Module via SPI, and has GPIO lines
 to the main power rail switchers in the system. It has a UART (SYSCTL) that
 the keyboard can talk to directly for issuing power on/off commands and
 battery status queries.
 .
 The reform2_lpc module provides battery status information and is necessary to
 completely shut down the system when powering it off via userspace.
 .
 This package provides sources for the reform2_lpc kernel module for use with
 the Dynamic Kernel Module Support (dkms) framework.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# for debian/reform-tools.install and for dkms
include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --package=reform-tools --name=reform-hw-setup
	dh_installsystemd --package=reform-tools --no-stop-on-upgrade --no-start --name=reform-sleep

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)

## reform-tools 1.83

=== Makefile ===
--- 
+++ 
@@ -145,10 +145,9 @@
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/wireplumber/wireplumber.conf.d audio/reform-hdmi-audio-priority.conf
 	$(INSTALL)     -d $(DESTDIR)$(sysconfdir)/profile.d
 	$(INSTALLDATA) -t $(DESTDIR)$(sysconfdir)/profile.d etc/profile.d/reform-kwin.sh
+	$(INSTALLDATA) -t $(DESTDIR)$(sysconfdir)/profile.d etc/profile.d/reform-mali.sh
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/doc/reform-tools/examples
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/doc/reform-tools/examples examples/keyboard_rainbow.py
-	$(INSTALL)     -d $(DESTDIR)$(datadir)/xdg-terminal-exec
-	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/xdg-terminal-exec share/xdg-terminal-exec/sway-xdg-terminals.list
 	$(INSTALL)     -d $(DESTDIR)$(libdirarch)/plymouth
 	$(INSTALLDATA) -t $(DESTDIR)$(libdirarch)/plymouth plymouth/monobar.so
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/plymouth/themes/monobar/
@@ -163,9 +162,11 @@
 	clang-format lpc/reform2_lpc.c | diff -u lpc/reform2_lpc.c -
 	shfmt --posix --simplify --binary-next-line --case-indent --indent 2 --diff \
 		bin kernel/* initramfs-tools/*/* flash-kernel/*/*
+	shfmt --language-dialect=bash --simplify --binary-next-line --case-indent --indent 2 --diff \
+		libexec/reform-tools/reform-power-daemon
 	black --check --diff bin/reform-compstat libexec/reform-tools/reform-tray.py libexec/reform-tools/reform-wallpaper.py examples/keyboard_rainbow.py
 	black --line-length 120 --check --diff bin/reform-mcu-tool
-	shellcheck bin/* kernel/* initramfs-tools/*/* flash-kernel/*/*
+	shellcheck bin/* kernel/* initramfs-tools/*/* flash-kernel/*/* libexec/reform-tools/reform-power-daemon
 
 test:
 	# check the validity of gschema overrides

=== debian/changelog ===
reform-tools (1.83-2) unstable; urgency=medium

  * debian/patches: bin/reform-flash-uboot: fix sha1sum check

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 12 Jan 2026 10:50:45 +0100

reform-tools (1.83-1) unstable; urgency=medium

  * New upstream version 1.83

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 12 Jan 2026 00:17:21 +0100

reform-tools (1.82-4) unstable; urgency=medium

  * debian/control: replace minetest with luanti

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 11 Jan 2026 16:55:32 +0100

reform-tools (1.82-3) unstable; urgency=medium

  * Stop installing /usr/share/xdg-terminal-exec/sway-xdg-terminals.list
    (Closes: #1120109)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 08 Dec 2025 23:52:39 +0100

reform-tools (1.82-2) unstable; urgency=medium

  * enable and start reform-power-daemon by default upon installation and
    upgrade

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 21 Nov 2025 08:22:34 +0100

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
 Package: reform-tools
 Architecture: all
 Depends:
+ xdg-terminal-exec,
  alsa-utils,
  console-setup,
  debconf,
@@ -137,7 +138,7 @@
  lxpolkit,
  mesa-utils,
  mesa-vulkan-drivers,
- minetest,
+ luanti,
  modemmanager,
  mpv,
  network-manager-gnome,

## reform-tools 1.84

=== Makefile ===
--- 
+++ 
@@ -44,6 +44,7 @@
 		migrate)        echo "copy rootfs to device" ;;               \
 		mcu-tool)       echo "manage microcontrollers" ;;             \
 		pavucontrol)    echo "kill and restart pavucontrol" ;;        \
+		rescue-shell)   echo "rescue a system on eMMC/NVMe" ;;        \
 		setup-encrypted-disk) echo "setup encrypted disk" ;;          \
 		setup-encrypted-nvme) echo "use setup-encrypted-disk" ;;      \
 		standby)        echo "suspend/wakeup tweaks" ;;               \
@@ -94,6 +95,7 @@
 	$(INSTALL)     -t $(DESTDIR)$(datadir)/initramfs-tools/scripts/init-top initramfs-tools/scripts/reform
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/kernel/postinst.d
 	$(INSTALL)     -t $(DESTDIR)$(datadir)/kernel/postinst.d kernel/zz-reform-tools
+	$(INSTALL)     -t $(DESTDIR)$(datadir)/kernel/postinst.d kernel/zz-reform-bootspec
 	$(INSTALL)     -d $(DESTDIR)$(libexecdir)/reform-tools
 	$(INSTALL)     -t $(DESTDIR)$(libexecdir)/reform-tools libexec/reform-tools/reform-tray.py
 	$(INSTALL)     -t $(DESTDIR)$(libexecdir)/reform-tools libexec/reform-tools/reform-wallpaper.py

=== debian/changelog ===
reform-tools (1.84-1) unstable; urgency=medium

  * New upstream version 1.84
  * drop patches
  * reform-desktop-full: add dependencies on dnsmasq-base, git, ncurses-bin,
    nfs-common

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 28 Jan 2026 02:11:03 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,6 @@
 Package: reform-tools
 Architecture: all
 Depends:
- xdg-terminal-exec,
  alsa-utils,
  console-setup,
  debconf,
@@ -43,6 +42,7 @@
  rsync,
  systemd,
  tzdata,
+ xdg-terminal-exec,
  ${misc:Depends},
 Recommends:
  bmaptool,
@@ -101,6 +101,7 @@
  blueman,
  bmaptool,
  brightnessctl,
+ dnsmasq-base,
  dunst,
  engrampa,
  espeak-ng,
@@ -121,6 +122,7 @@
  gir1.2-gtk-3.0,
  gir1.2-gtklayershell-0.1,
  gir1.2-notify-0.7,
+ git,
  gnome,
  gnome-disk-utility,
  gnome-firmware,
@@ -135,14 +137,16 @@
  ircii,
  kde-style-breeze,
  libglib2.0-bin,
+ luanti,
  lxpolkit,
  mesa-utils,
  mesa-vulkan-drivers,
- luanti,
  modemmanager,
  mpv,
+ ncurses-bin,
  network-manager-gnome,
  neverball,
+ nfs-common,
  papirus-icon-theme,
  pasystray,
  pavucontrol,

## reform-tools 1.85

=== Makefile ===
--- 
+++ 
@@ -34,8 +34,9 @@
 		config)         echo "select keyboard and timezone" ;;        \
 		display-config) echo "select single/dual display" ;;          \
 		emmc-bootstrap) echo "set up /boot on emmc for / on nvme" ;;  \
+		flash-bootloader) echo "download and flash u-boot" ;;         \
 		flash-rescue)   echo "flash rescue image to eMMC" ;;          \
-		flash-uboot)    echo "download and flash u-boot" ;;           \
+		flash-uboot)    echo "use reform-flash-bootloader" ;;         \
 		gnome-config)   echo "apply default config to GNOME" ;;       \
 		handbook)       echo "show Reform Handbook" ;;                \
 		pocket-reform-handbook) echo "show Pocket Reform Handbook" ;; \

=== debian/changelog ===
reform-tools (1.85-1) unstable; urgency=medium

  * New upstream version 1.85
  * debian/control: remove essential package ncurses-bin from dependencies

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 20 Feb 2026 22:36:35 +0100

=== debian/control ===
--- 
+++ 
@@ -143,7 +143,6 @@
  mesa-vulkan-drivers,
  modemmanager,
  mpv,
- ncurses-bin,
  network-manager-gnome,
  neverball,
  nfs-common,
